org.eclipse.emf.facet.util.emf.core.catalog

## Interface ICatalogManager

    public interface ICatalogManager

Since:
  1.1
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addWsEntry(EObject entry)`
`<T> java.util.List<T>` `getEntries(java.lang.Class<T> expectedClass)`
`<T> java.util.List<T>` `getInstalledEntries(java.lang.Class<T> expectedClass)`
`<T> java.util.List<T>` `getWsEntries(java.lang.Class<T> expectedClass)`
`void` `removeAllWsEntries(IProject project)`
`void` `removeWsEntry(EObject entry)`

### Method Detail

#### getEntries

    <T> java.util.List<T> getEntries(java.lang.Class<T> expectedClass)

#### getWsEntries

    <T> java.util.List<T> getWsEntries(java.lang.Class<T> expectedClass)

#### getInstalledEntries

    <T> java.util.List<T> getInstalledEntries(java.lang.Class<T> expectedClass)

#### addWsEntry

    boolean addWsEntry(EObject entry)

#### removeWsEntry

    void removeWsEntry(EObject entry)

#### removeAllWsEntries

    void removeAllWsEntries(IProject project)